Index: src/main.c
===================================================================
--- src/main.c	(revision 2039)
+++ src/main.c	(working copy)
@@ -331,537 +331,539 @@
  * N.B. the result should be freed and may contain '/../' or '/./ ' */
 gchar *get_argv_filename(const gchar *filename)
 {
-	gchar *result;
+    gchar *result;
 
-	if (g_path_is_absolute(filename))
-		result = g_strdup(filename);
-	else
-	{
-		// use current dir
-		gchar *cur_dir = g_get_current_dir();
+    if (g_path_is_absolute(filename))
+        result = g_strdup(filename);
+    else
+    {
+        // use current dir
+        gchar *cur_dir = g_get_current_dir();
 
-		result = g_strjoin(
-			G_DIR_SEPARATOR_S, cur_dir, filename, NULL);
-		g_free(cur_dir);
-	}
-	return result;
+        result = g_strjoin(
+            G_DIR_SEPARATOR_S, cur_dir, filename, NULL);
+        g_free(cur_dir);
+    }
+    return result;
 }
 
 
 static void setup_paths()
 {
-	gchar *data_dir;
-	gchar *doc_dir;
+    gchar *data_dir;
+    gchar *doc_dir;
 
-	// set paths
+    // set paths
 #ifdef G_OS_WIN32
-	// take the installation directory(the one where geany.exe is located) as the base for the
-	// documentation and data files
-	gchar *install_dir = g_win32_get_package_installation_directory("geany", NULL);
+    // take the installation directory(the one where geany.exe is located) as the base for the
+    // documentation and data files
+    gchar *install_dir = g_win32_get_package_installation_directory("geany", NULL);
 
-	data_dir = g_strconcat(install_dir, "\\data", NULL); // e.g. C:\Program Files\geany\data
-	doc_dir = g_strconcat(install_dir, "\\doc", NULL);
+    data_dir = g_strconcat(install_dir, "\\data", NULL); // e.g. C:\Program Files\geany\data
+    doc_dir = g_strconcat(install_dir, "\\doc", NULL);
 
-	g_free(install_dir);
+    g_free(install_dir);
 #else
-	data_dir = g_strdup(PACKAGE_DATA_DIR "/" PACKAGE "/"); // e.g. /usr/share/geany
-	doc_dir = g_strdup(PACKAGE_DATA_DIR "/doc/" PACKAGE "/html/");
+    data_dir = g_strdup(PACKAGE_DATA_DIR "/" PACKAGE "/"); // e.g. /usr/share/geany
+    doc_dir = g_strdup(PACKAGE_DATA_DIR "/doc/" PACKAGE "/html/");
 #endif
 
-	// convert path names to locale encoding
-	app->datadir = utils_get_locale_from_utf8(data_dir);
-	app->docdir = utils_get_locale_from_utf8(doc_dir);
+    // convert path names to locale encoding
+    app->datadir = utils_get_locale_from_utf8(data_dir);
+    app->docdir = utils_get_locale_from_utf8(doc_dir);
 
-	g_free(data_dir);
-	g_free(doc_dir);
+    g_free(data_dir);
+    g_free(doc_dir);
 }
 
 
 static void locale_init()
 {
 #ifdef ENABLE_NLS
-	gchar *locale_dir = NULL;
+    gchar *locale_dir = NULL;
 
 #if HAVE_LOCALE_H
-	setlocale(LC_ALL, "");
+    setlocale(LC_ALL, "");
 #endif
 
 #ifdef G_OS_WIN32
-	gchar *install_dir = g_win32_get_package_installation_directory("geany", NULL);
-	// e.g. C:\Program Files\geany\lib\locale
-	locale_dir = g_strconcat(install_dir, "\\lib\\locale", NULL);
-	g_free(install_dir);
+    gchar *install_dir = g_win32_get_package_installation_directory("geany", NULL);
+    // e.g. C:\Program Files\geany\lib\locale
+    locale_dir = g_strconcat(install_dir, "\\lib\\locale", NULL);
+    g_free(install_dir);
 #else
-	locale_dir = g_strdup(PACKAGE_LOCALE_DIR);
+    locale_dir = g_strdup(PACKAGE_LOCALE_DIR);
 #endif
 
-	bindtextdomain(GETTEXT_PACKAGE, locale_dir);
-	bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
-	textdomain(GETTEXT_PACKAGE);
-	g_free(locale_dir);
+    bindtextdomain(GETTEXT_PACKAGE, locale_dir);
+    bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
+    textdomain(GETTEXT_PACKAGE);
+    g_free(locale_dir);
 #endif
 }
 
 
 static void parse_command_line_options(gint *argc, gchar ***argv)
 {
-	GOptionContext *context;
-	GError *error = NULL;
+    GOptionContext *context;
+    GError *error = NULL;
 
-	// first initialise cl_options fields with default values
-	cl_options.load_session = TRUE;
-	cl_options.goto_line = -1;
-	cl_options.goto_column = -1;
+    // first initialise cl_options fields with default values
+    cl_options.load_session = TRUE;
+    cl_options.goto_line = -1;
+    cl_options.goto_column = -1;
 
-	context = g_option_context_new(_("[FILES...]"));
-	g_option_context_add_main_entries(context, entries, GETTEXT_PACKAGE);
-	g_option_group_set_translation_domain(g_option_context_get_main_group(context), GETTEXT_PACKAGE);
-	g_option_context_add_group(context, gtk_get_option_group(TRUE));
-	g_option_context_parse(context, argc, argv, &error);
-	g_option_context_free(context);
+    context = g_option_context_new(_("[FILES...]"));
+    g_option_context_add_main_entries(context, entries, GETTEXT_PACKAGE);
+    g_option_group_set_translation_domain(g_option_context_get_main_group(context), GETTEXT_PACKAGE);
+    g_option_context_add_group(context, gtk_get_option_group(TRUE));
+    g_option_context_parse(context, argc, argv, &error);
+    g_option_context_free(context);
 
-	if (show_version)
-	{
-		printf(PACKAGE " " VERSION " ");
-		printf(_("(built on %s with GTK %d.%d.%d, GLib %d.%d.%d)"),
-				__DATE__, GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION,
-				GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
-		printf("\n");
+    if (show_version)
+    {
+        printf(PACKAGE " " VERSION " ");
+        printf(_("(built on %s with GTK %d.%d.%d, GLib %d.%d.%d)"),
+                __DATE__, GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION,
+                GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
+        printf("\n");
 
-		exit(0);
-	}
+        exit(0);
+    }
 
 #ifdef GEANY_DEBUG
-	app->debug_mode = TRUE;
-	geany_debug("debug mode built in (can't be disabled)");
+    app->debug_mode = TRUE;
+    geany_debug("debug mode built in (can't be disabled)");
 #else
-	app->debug_mode = debug_mode;
+    app->debug_mode = debug_mode;
 #endif
 
-	if (alternate_config)
-	{
-		geany_debug("alternate config: %s", alternate_config);
-		app->configdir = alternate_config;
-	}
-	else
-		app->configdir = g_strconcat(GEANY_HOME_DIR, G_DIR_SEPARATOR_S, ".", PACKAGE, NULL);
+    if (alternate_config)
+    {
+        geany_debug("alternate config: %s", alternate_config);
+        app->configdir = alternate_config;
+    }
+    else
+        app->configdir = g_strconcat(GEANY_HOME_DIR, G_DIR_SEPARATOR_S, ".", PACKAGE, NULL);
 
 #ifdef GEANY_DEBUG
-	if (generate_datafiles)
-	{
-		filetypes_init_types();
-		configuration_generate_data_files();	// currently only filetype_extensions.conf
-		exit(0);
-	}
+    if (generate_datafiles)
+    {
+        filetypes_init_types();
+        configuration_generate_data_files();    // currently only filetype_extensions.conf
+        exit(0);
+    }
 #endif
-	if (generate_tags)
-	{
-		gboolean ret;
+    if (generate_tags)
+    {
+        gboolean ret;
 
-		filetypes_init_types();
-		configuration_read_filetype_extensions();	// needed for *.lang.tags filetype matching
-		ret = symbols_generate_global_tags(*argc, *argv, ! no_preprocessing);
-		exit(ret);
-	}
+        filetypes_init_types();
+        configuration_read_filetype_extensions();   // needed for *.lang.tags filetype matching
+        ret = symbols_generate_global_tags(*argc, *argv, ! no_preprocessing);
+        exit(ret);
+    }
 
-	if (ft_names)
-	{
-		int i;
+    if (ft_names)
+    {
+        int i;
 
-		printf("Geany's internal filetype names:\n");
-		filetypes_init_types();
-		for (i = 0; i < GEANY_MAX_FILE_TYPES; i++)
-		{
-			printf("%s\n", filetypes[i]->name);
-		}
-		filetypes_free_types();
-		exit(0);
-	}
+        printf("Geany's internal filetype names:\n");
+        filetypes_init_types();
+        for (i = 0; i < GEANY_MAX_FILE_TYPES; i++)
+        {
+            printf("%s\n", filetypes[i]->name);
+        }
+        filetypes_free_types();
+        exit(0);
+    }
 
 #ifdef HAVE_SOCKET
-	socket_info.ignore_socket = ignore_socket;
-	if (ignore_socket)
-		cl_options.load_session = FALSE;
+    socket_info.ignore_socket = ignore_socket;
+    if (ignore_socket)
+        cl_options.load_session = FALSE;
 #endif
 #ifdef HAVE_VTE
-	vte_info.lib_vte = lib_vte;
+    vte_info.lib_vte = lib_vte;
 #endif
-	cl_options.ignore_global_tags = ignore_global_tags;
+    cl_options.ignore_global_tags = ignore_global_tags;
 }
 
 
 // Returns 0 if config dir is OK.
 static gint setup_config_dir()
 {
-	gint mkdir_result = 0;
-	gchar *tmp = app->configdir;
+    gint mkdir_result = 0;
+    gchar *tmp = app->configdir;
 
-	// convert configdir to locale encoding to avoid troubles
-	app->configdir = utils_get_locale_from_utf8(app->configdir);
-	g_free(tmp);
+    // convert configdir to locale encoding to avoid troubles
+    app->configdir = utils_get_locale_from_utf8(app->configdir);
+    g_free(tmp);
 
-	mkdir_result = utils_make_settings_dir();
-	if (mkdir_result != 0)
-	{
-		if (! dialogs_show_question(
-			_("Configuration directory could not be created (%s).\nThere could be some problems "
-			  "using Geany without a configuration directory.\nStart Geany anyway?"),
-			  g_strerror(mkdir_result)))
-		{
-			exit(0);
-		}
-	}
-	return mkdir_result;
+    mkdir_result = utils_make_settings_dir();
+    if (mkdir_result != 0)
+    {
+        if (! dialogs_show_question(
+            _("Configuration directory could not be created (%s).\nThere could be some problems "
+              "using Geany without a configuration directory.\nStart Geany anyway?"),
+              g_strerror(mkdir_result)))
+        {
+            exit(0);
+        }
+    }
+    return mkdir_result;
 }
 
 
 static void signal_cb(gint sig)
 {
-	if (sig == SIGTERM)
-	{
-		on_exit_clicked(NULL, NULL);
-	}
+    if (sig == SIGTERM)
+    {
+        on_exit_clicked(NULL, NULL);
+    }
 }
 
 
 // open files from command line
 static gboolean open_cl_files(gint argc, gchar **argv)
 {
-	gint i;
+    gint i;
 
-	if (argc <= 1) return FALSE;
+    if (argc <= 1) return FALSE;
 
-	document_delay_colourise();
+    document_delay_colourise();
 
-	for(i = 1; i < argc; i++)
-	{
-		gchar *filename = get_argv_filename(argv[i]);
+    for(i = 1; i < argc; i++)
+    {
+        gchar *filename = get_argv_filename(argv[i]);
 
-		if (filename != NULL &&
-			g_file_test(filename, G_FILE_TEST_IS_REGULAR | G_FILE_TEST_IS_SYMLINK))
-		{
-			gint idx;
+        if (filename != NULL &&
+            g_file_test(filename, G_FILE_TEST_IS_REGULAR | G_FILE_TEST_IS_SYMLINK))
+        {
+            gint idx;
 
-			idx = document_open_file(filename, FALSE, NULL, NULL);
-			// add recent file manually because opening_session_files is set
-			if (DOC_IDX_VALID(idx))
-				ui_add_recent_file(doc_list[idx].file_name);
-		}
-		else if (filename != NULL)
-		{	// create new file if it doesn't exist
-			gint idx;
+            idx = document_open_file(filename, FALSE, NULL, NULL);
+            // add recent file manually because opening_session_files is set
+            if (DOC_IDX_VALID(idx))
+                ui_add_recent_file(doc_list[idx].file_name);
+        }
+        else if (filename != NULL)
+        {   // create new file if it doesn't exist
+            gint idx;
 
-			idx = document_new_file(filename, NULL, NULL);
-			if (DOC_IDX_VALID(idx))
-				ui_add_recent_file(doc_list[idx].file_name);
-		}
-		else
-		{
-			gchar *msg = _("Could not find file '%s'.");
+            idx = document_new_file(filename, NULL, NULL);
+            if (DOC_IDX_VALID(idx))
+                ui_add_recent_file(doc_list[idx].file_name);
+        }
+        else
+        {
+            gchar *msg = _("Could not find file '%s'.");
 
-			g_printerr(msg, filename);	// also print to the terminal
-			g_printerr("\n");
-			ui_set_statusbar(TRUE, msg, filename);
-		}
-		g_free(filename);
-	}
-	document_colourise_new();
-	return TRUE;
+            g_printerr(msg, filename);  // also print to the terminal
+            g_printerr("\n");
+            ui_set_statusbar(TRUE, msg, filename);
+        }
+        g_free(filename);
+    }
+    document_colourise_new();
+    return TRUE;
 }
 
 
 static void load_project_file()
 {
-	gchar *locale_filename;
+    gchar *locale_filename;
 
-	g_return_if_fail(project_prefs.session_file != NULL);
+    g_return_if_fail(project_prefs.session_file != NULL);
 
-	locale_filename = utils_get_locale_from_utf8(project_prefs.session_file);
+    locale_filename = utils_get_locale_from_utf8(project_prefs.session_file);
 
-	if (*locale_filename)
-		project_load_file(locale_filename);
+    if (*locale_filename)
+        project_load_file(locale_filename);
 
-	g_free(locale_filename);
-	g_free(project_prefs.session_file);	// no longer needed
+    g_free(locale_filename);
+    g_free(project_prefs.session_file); // no longer needed
 }
 
 
 static void load_settings()
 {
-	configuration_load();
-	// let cmdline options overwrite configuration settings
+    configuration_load();
+    // let cmdline options overwrite configuration settings
 #ifdef HAVE_VTE
-	vte_info.have_vte = (no_vte) ? FALSE : vte_info.load_vte;
+    vte_info.have_vte = (no_vte) ? FALSE : vte_info.load_vte;
 #endif
-	if (no_msgwin) ui_prefs.msgwindow_visible = FALSE;
+    if (no_msgwin) ui_prefs.msgwindow_visible = FALSE;
 
-	want_plugins = prefs.load_plugins && !no_plugins;
+    want_plugins = prefs.load_plugins && !no_plugins;
 }
 
 
 gint main(gint argc, gchar **argv)
 {
-	gint idx;
-	gint config_dir_result;
+    gint idx;
+    gint config_dir_result;
 
-	app = g_new0(GeanyApp, 1);
-	memset(&main_status, 0, sizeof(GeanyStatus));
-	memset(&prefs, 0, sizeof(GeanyPrefs));
-	memset(&ui_prefs, 0, sizeof(UIPrefs));
-	memset(&ui_widgets, 0, sizeof(UIWidgets));
+    app = g_new0(GeanyApp, 1);
+    memset(&main_status, 0, sizeof(GeanyStatus));
+    memset(&prefs, 0, sizeof(GeanyPrefs));
+    memset(&ui_prefs, 0, sizeof(UIPrefs));
+    memset(&ui_widgets, 0, sizeof(UIWidgets));
 
-	setup_paths();
-	locale_init();
-	parse_command_line_options(&argc, &argv);
+    setup_paths();
+    locale_init();
+    parse_command_line_options(&argc, &argv);
 
-	gtk_set_locale();
+    gtk_set_locale();
 
-	signal(SIGTERM, signal_cb);
+    signal(SIGTERM, signal_cb);
 #ifdef G_OS_UNIX
-	// SIGQUIT is used to kill spawned children and we get also this signal, so ignore
-	signal(SIGQUIT, SIG_IGN);
-	// ignore SIGPIPE signal for preventing sudden death of program
-	signal(SIGPIPE, SIG_IGN);
+    // SIGQUIT is used to kill spawned children and we get also this signal, so ignore
+    signal(SIGQUIT, SIG_IGN);
+    // ignore SIGPIPE signal for preventing sudden death of program
+    signal(SIGPIPE, SIG_IGN);
 #endif
 
-	config_dir_result = setup_config_dir();
+    config_dir_result = setup_config_dir();
 #ifdef HAVE_SOCKET
     // check and create (unix domain) socket for remote operation
-	if (! socket_info.ignore_socket)
-	{
-		socket_info.lock_socket = -1;
-		socket_info.lock_socket_tag = 0;
-		socket_info.lock_socket = socket_init(argc, argv);
-		if (socket_info.lock_socket < 0)
-		{
-			// Socket exists
-			if (argc > 1)	// filenames were sent to first instance, so quit
-			{
-				g_free(app->configdir);
-				g_free(app->datadir);
-				g_free(app->docdir);
-				g_free(app);
-				return 0;
-			}
-			// Start a new instance if no command line strings were passed
-			socket_info.ignore_socket = TRUE;
-			cl_options.load_session = FALSE;
-		}
-	}
+    if (! socket_info.ignore_socket)
+    {
+        socket_info.lock_socket = -1;
+        socket_info.lock_socket_tag = 0;
+        socket_info.lock_socket = socket_init(argc, argv);
+        if (socket_info.lock_socket < 0)
+        {
+            // Socket exists
+            if (argc > 1)   // filenames were sent to first instance, so quit
+            {
+                g_free(app->configdir);
+                g_free(app->datadir);
+                g_free(app->docdir);
+                g_free(app);
+                return 0;
+            }
+            // Start a new instance if no command line strings were passed
+            socket_info.ignore_socket = TRUE;
+            cl_options.load_session = FALSE;
+        }
+    }
 #endif
 
-	geany_debug("Geany %s, GTK+ %u.%u.%u, GLib %u.%u.%u",
-		VERSION,
-		gtk_major_version, gtk_minor_version, gtk_micro_version,
-		glib_major_version, glib_minor_version, glib_micro_version);
-	gtk_init(&argc, &argv);
+    geany_debug("Geany %s, GTK+ %u.%u.%u, GLib %u.%u.%u",
+        VERSION,
+        gtk_major_version, gtk_minor_version, gtk_micro_version,
+        glib_major_version, glib_minor_version, glib_micro_version);
+    gtk_init(&argc, &argv);
 
-	// inits
-	main_init();
-	gtk_widget_set_size_request(app->window, GEANY_WINDOW_MINIMAL_WIDTH, GEANY_WINDOW_MINIMAL_HEIGHT);
-	gtk_window_set_default_size(GTK_WINDOW(app->window), GEANY_WINDOW_DEFAULT_WIDTH, GEANY_WINDOW_DEFAULT_HEIGHT);
-	encodings_init();
+    // inits
+    main_init();
+    gtk_widget_set_size_request(app->window, GEANY_WINDOW_MINIMAL_WIDTH, GEANY_WINDOW_MINIMAL_HEIGHT);
+    gtk_window_set_default_size(GTK_WINDOW(app->window), GEANY_WINDOW_DEFAULT_WIDTH, GEANY_WINDOW_DEFAULT_HEIGHT);
+    encodings_init();
 
-	load_settings();
+    load_settings();
 
-	msgwin_init();
-	build_init();
-	search_init();
-	ui_create_insert_menu_items();
-	ui_create_insert_date_menu_items();
-	keybindings_init();
-	tools_create_insert_custom_command_menu_items();
-	notebook_init();
-	filetypes_init();
-	templates_init();
-	navqueue_init();
-	document_init_doclist();
-	treeviews_init();
-	configuration_read_filetype_extensions();
-	configuration_read_autocompletions();
+    msgwin_init();
+    build_init();
+    search_init();
+    ui_create_insert_menu_items();
+    ui_create_insert_date_menu_items();
+    keybindings_init();
+    tools_create_insert_custom_command_menu_items();
+    notebook_init();
+    filetypes_init();
+    templates_init();
+    navqueue_init();
+    document_init_doclist();
+    treeviews_init();
+    configuration_read_filetype_extensions();
+    configuration_read_autocompletions();
 
-	// set window icon
-	{
-		GdkPixbuf *pb;
+    // set window icon
+    {
+        GdkPixbuf *pb;
 
-		pb = ui_new_pixbuf_from_inline(GEANY_IMAGE_LOGO, FALSE);
-		gtk_window_set_icon(GTK_WINDOW(app->window), pb);
-		g_object_unref(pb);	// free our reference
-	}
+        pb = ui_new_pixbuf_from_inline(GEANY_IMAGE_LOGO, FALSE);
+        gtk_window_set_icon(GTK_WINDOW(app->window), pb);
+        g_object_unref(pb); // free our reference
+    }
 
-	// registering some basic events
-	g_signal_connect(G_OBJECT(app->window), "delete_event", G_CALLBACK(on_exit_clicked), NULL);
-	g_signal_connect(G_OBJECT(app->window), "key-press-event", G_CALLBACK(keybindings_got_event), NULL);
-	g_signal_connect(G_OBJECT(app->toolbar), "button-press-event", G_CALLBACK(toolbar_popup_menu), NULL);
-	g_signal_connect(G_OBJECT(lookup_widget(app->window, "textview_scribble")),
-							"motion-notify-event", G_CALLBACK(on_motion_event), NULL);
-	g_signal_connect(G_OBJECT(lookup_widget(app->window, "entry1")),
-							"motion-notify-event", G_CALLBACK(on_motion_event), NULL);
-	g_signal_connect(G_OBJECT(lookup_widget(app->window, "entry_goto_line")),
-							"motion-notify-event", G_CALLBACK(on_motion_event), NULL);
+    // registering some basic events
+    g_signal_connect(G_OBJECT(app->window), "delete_event", G_CALLBACK(on_exit_clicked), NULL);
+    g_signal_connect(G_OBJECT(app->window), "key-press-event", G_CALLBACK(keybindings_got_event), NULL);
+    g_signal_connect(G_OBJECT(app->toolbar), "button-press-event", G_CALLBACK(toolbar_popup_menu), NULL);
+    g_signal_connect(G_OBJECT(lookup_widget(app->window, "textview_scribble")),
+                            "motion-notify-event", G_CALLBACK(on_motion_event), NULL);
+    g_signal_connect(G_OBJECT(lookup_widget(app->window, "entry1")),
+                            "motion-notify-event", G_CALLBACK(on_motion_event), NULL);
+    g_signal_connect(G_OBJECT(lookup_widget(app->window, "entry_goto_line")),
+                            "motion-notify-event", G_CALLBACK(on_motion_event), NULL);
 
 #ifdef HAVE_VTE
-	vte_init();
+    vte_init();
 #endif
-	ui_create_recent_menu();
+    ui_create_recent_menu();
 
-	ui_set_statusbar(TRUE, _("This is Geany %s."), VERSION);
-	if (config_dir_result != 0)
-		ui_set_statusbar(TRUE, _("Configuration directory could not be created (%s)."),
-			g_strerror(config_dir_result));
+    ui_set_statusbar(TRUE, _("This is Geany %s."), VERSION);
+    if (config_dir_result != 0)
+        ui_set_statusbar(TRUE, _("Configuration directory could not be created (%s)."),
+            g_strerror(config_dir_result));
 
-	// apply all configuration options
-	apply_settings();
+    // apply all configuration options
+    apply_settings();
 
 #ifdef HAVE_PLUGINS
-	// load any enabled plugins before we open any documents
-	if (want_plugins)
-		plugins_init();
+    // load any enabled plugins before we open any documents
+    if (want_plugins)
+        plugins_init();
 #endif
 
-	// load any command line files or session files
-	main_status.opening_session_files = TRUE;
-	if (! open_cl_files(argc, argv))
-	{
-		if (prefs.load_session && cl_options.load_session)
-		{
-			load_project_file();
+    // load any command line files or session files
+    main_status.opening_session_files = TRUE;
+    if (! open_cl_files(argc, argv))
+    {
+        if (prefs.load_session && cl_options.load_session)
+        {
+            load_project_file();
 
-			// load session files
-			if (! configuration_open_files())
-			{
-				ui_update_popup_copy_items(-1);
-				ui_update_popup_reundo_items(-1);
-			}
-		}
-	}
-	main_status.opening_session_files = FALSE;
+            // load session files into tabs, as they are found in the session_files variable
+            if (! configuration_open_files())
+            {
+                ui_update_popup_copy_items(-1);
+                ui_update_popup_reundo_items(-1);
+            }
+        }
+    }
+    main_status.opening_session_files = FALSE;
 
-	// open a new file if no other file was opened
-	if (gtk_notebook_get_n_pages(GTK_NOTEBOOK(app->notebook)) == 0)
-		document_new_file(NULL, NULL, NULL);
+    // open a new file if no other file was opened
+    if (gtk_notebook_get_n_pages(GTK_NOTEBOOK(app->notebook)) == 0)
+        document_new_file(NULL, NULL, NULL);
 
-	ui_document_buttons_update();
-	ui_save_buttons_toggle(FALSE);
+    ui_document_buttons_update();
+    ui_save_buttons_toggle(FALSE);
 
-	idx = document_get_cur_idx();
-	gtk_widget_grab_focus(GTK_WIDGET(doc_list[idx].sci));
-	treeviews_select_openfiles_item(idx);
-	build_menu_update(idx);
-	treeviews_update_tag_list(idx, FALSE);
+    idx = document_get_cur_idx();
+    gtk_widget_grab_focus(GTK_WIDGET(doc_list[idx].sci));
+    treeviews_select_openfiles_item(idx);
+    build_menu_update(idx);
+    treeviews_update_tag_list(idx, FALSE);
 
-	// finally realize the window to show the user what we have done
-	gtk_widget_show(app->window);
-	main_status.main_window_realized = TRUE;
+    // finally realize the window to show the user what we have done
+    gtk_widget_show(app->window);
+    main_status.main_window_realized = TRUE;
 
-	configuration_apply_settings();
+    configuration_apply_settings();
 
 #ifdef HAVE_SOCKET
-	// register the callback of socket input
-	if (! socket_info.ignore_socket && socket_info.lock_socket > 0)
-	{
-		socket_info.read_ioc = g_io_channel_unix_new(socket_info.lock_socket);
-		socket_info.lock_socket_tag = g_io_add_watch(socket_info.read_ioc,
-						G_IO_IN|G_IO_PRI|G_IO_ERR, socket_lock_input_cb, app->window);
-	}
+    // register the callback of socket input
+    if (! socket_info.ignore_socket && socket_info.lock_socket > 0)
+    {
+        socket_info.read_ioc = g_io_channel_unix_new(socket_info.lock_socket);
+        socket_info.lock_socket_tag = g_io_add_watch(socket_info.read_ioc,
+                        G_IO_IN|G_IO_PRI|G_IO_ERR, socket_lock_input_cb, app->window);
+    }
 #endif
 
-	//g_timeout_add(0, (GSourceFunc)destroyapp, NULL); // useful for start time tests
-	gtk_main();
-	return 0;
+    //g_timeout_add(0, (GSourceFunc)destroyapp, NULL); // useful for start time tests
+    gtk_main();
+    return 0;
 }
 
 
 void main_quit()
 {
-	geany_debug("Quitting...");
+    geany_debug("Quitting...");
 
 #ifdef HAVE_SOCKET
-	socket_finalize();
+    socket_finalize();
 #endif
 
 #ifdef HAVE_PLUGINS
-	if (want_plugins)
-		plugins_free();
+    if (want_plugins)
+        plugins_free();
 #endif
-	navqueue_free();
-	keybindings_free();
-	filetypes_save_commands();
-	filetypes_free_types();
-	highlighting_free_styles();
-	templates_free_templates();
-	msgwin_finalize();
-	search_finalize();
-	build_finalize();
-	document_finalize();
-	symbols_finalize();
-	editor_finalize();
-	if (app->project != NULL) project_close();
+    if (app->project != NULL)
+        project_close();
+        
+    navqueue_free();
+    keybindings_free();
+    filetypes_save_commands();
+    filetypes_free_types();
+    highlighting_free_styles();
+    templates_free_templates();
+    msgwin_finalize();
+    search_finalize();
+    build_finalize();
+    document_finalize();
+    symbols_finalize();
+    editor_finalize();
 
-	tm_workspace_free(TM_WORK_OBJECT(app->tm_workspace));
-	g_free(app->configdir);
-	g_free(app->datadir);
-	g_free(app->docdir);
-	g_free(prefs.default_open_path);
-	g_free(ui_prefs.custom_date_format);
-	g_free(prefs.editor_font);
-	g_free(prefs.tagbar_font);
-	g_free(prefs.msgwin_font);
-	g_free(editor_prefs.long_line_color);
-	g_free(prefs.context_action_cmd);
-	g_free(prefs.template_developer);
-	g_free(prefs.template_company);
-	g_free(prefs.template_mail);
-	g_free(prefs.template_initial);
-	g_free(prefs.template_version);
-	g_free(prefs.tools_make_cmd);
-	g_free(prefs.tools_term_cmd);
-	g_free(prefs.tools_browser_cmd);
-	g_free(prefs.tools_print_cmd);
-	g_free(prefs.tools_grep_cmd);
-	g_strfreev(ui_prefs.custom_commands);
-	while (! g_queue_is_empty(ui_prefs.recent_queue))
-	{
-		g_free(g_queue_pop_tail(ui_prefs.recent_queue));
-	}
-	g_queue_free(ui_prefs.recent_queue);
+    tm_workspace_free(TM_WORK_OBJECT(app->tm_workspace));
+    g_free(app->configdir);
+    g_free(app->datadir);
+    g_free(app->docdir);
+    g_free(prefs.default_open_path);
+    g_free(ui_prefs.custom_date_format);
+    g_free(prefs.editor_font);
+    g_free(prefs.tagbar_font);
+    g_free(prefs.msgwin_font);
+    g_free(editor_prefs.long_line_color);
+    g_free(prefs.context_action_cmd);
+    g_free(prefs.template_developer);
+    g_free(prefs.template_company);
+    g_free(prefs.template_mail);
+    g_free(prefs.template_initial);
+    g_free(prefs.template_version);
+    g_free(prefs.tools_make_cmd);
+    g_free(prefs.tools_term_cmd);
+    g_free(prefs.tools_browser_cmd);
+    g_free(prefs.tools_print_cmd);
+    g_free(prefs.tools_grep_cmd);
+    g_strfreev(ui_prefs.custom_commands);
+    while (! g_queue_is_empty(ui_prefs.recent_queue))
+    {
+        g_free(g_queue_pop_tail(ui_prefs.recent_queue));
+    }
+    g_queue_free(ui_prefs.recent_queue);
 
-	if (ui_widgets.prefs_dialog && GTK_IS_WIDGET(ui_widgets.prefs_dialog)) gtk_widget_destroy(ui_widgets.prefs_dialog);
-	if (ui_widgets.save_filesel && GTK_IS_WIDGET(ui_widgets.save_filesel)) gtk_widget_destroy(ui_widgets.save_filesel);
-	if (ui_widgets.open_filesel && GTK_IS_WIDGET(ui_widgets.open_filesel)) gtk_widget_destroy(ui_widgets.open_filesel);
-	if (ui_widgets.open_fontsel && GTK_IS_WIDGET(ui_widgets.open_fontsel)) gtk_widget_destroy(ui_widgets.open_fontsel);
-	if (ui_widgets.open_colorsel && GTK_IS_WIDGET(ui_widgets.open_colorsel)) gtk_widget_destroy(ui_widgets.open_colorsel);
-	if (tv.default_tag_tree && GTK_IS_WIDGET(tv.default_tag_tree))
-	{
-		g_object_unref(tv.default_tag_tree);
-		gtk_widget_destroy(tv.default_tag_tree);
-	}
+    if (ui_widgets.prefs_dialog && GTK_IS_WIDGET(ui_widgets.prefs_dialog)) gtk_widget_destroy(ui_widgets.prefs_dialog);
+    if (ui_widgets.save_filesel && GTK_IS_WIDGET(ui_widgets.save_filesel)) gtk_widget_destroy(ui_widgets.save_filesel);
+    if (ui_widgets.open_filesel && GTK_IS_WIDGET(ui_widgets.open_filesel)) gtk_widget_destroy(ui_widgets.open_filesel);
+    if (ui_widgets.open_fontsel && GTK_IS_WIDGET(ui_widgets.open_fontsel)) gtk_widget_destroy(ui_widgets.open_fontsel);
+    if (ui_widgets.open_colorsel && GTK_IS_WIDGET(ui_widgets.open_colorsel)) gtk_widget_destroy(ui_widgets.open_colorsel);
+    if (tv.default_tag_tree && GTK_IS_WIDGET(tv.default_tag_tree))
+    {
+        g_object_unref(tv.default_tag_tree);
+        gtk_widget_destroy(tv.default_tag_tree);
+    }
 #ifdef HAVE_VTE
-	if (vte_info.have_vte) vte_close();
-	g_free(vte_info.lib_vte);
-	g_free(vte_info.dir);
+    if (vte_info.have_vte) vte_close();
+    g_free(vte_info.lib_vte);
+    g_free(vte_info.dir);
 #endif
-	gtk_widget_destroy(app->window);
+    gtk_widget_destroy(app->window);
 
-	// destroy popup menus
-	if (app->popup_menu && GTK_IS_WIDGET(app->popup_menu))
-					gtk_widget_destroy(app->popup_menu);
-	if (ui_widgets.toolbar_menu && GTK_IS_WIDGET(ui_widgets.toolbar_menu))
-					gtk_widget_destroy(ui_widgets.toolbar_menu);
-	if (tv.popup_taglist && GTK_IS_WIDGET(tv.popup_taglist))
-					gtk_widget_destroy(tv.popup_taglist);
-	if (tv.popup_openfiles && GTK_IS_WIDGET(tv.popup_openfiles))
-					gtk_widget_destroy(tv.popup_openfiles);
-	if (msgwindow.popup_status_menu && GTK_IS_WIDGET(msgwindow.popup_status_menu))
-					gtk_widget_destroy(msgwindow.popup_status_menu);
-	if (msgwindow.popup_msg_menu && GTK_IS_WIDGET(msgwindow.popup_msg_menu))
-					gtk_widget_destroy(msgwindow.popup_msg_menu);
-	if (msgwindow.popup_compiler_menu && GTK_IS_WIDGET(msgwindow.popup_compiler_menu))
-					gtk_widget_destroy(msgwindow.popup_compiler_menu);
+    // destroy popup menus
+    if (app->popup_menu && GTK_IS_WIDGET(app->popup_menu))
+                    gtk_widget_destroy(app->popup_menu);
+    if (ui_widgets.toolbar_menu && GTK_IS_WIDGET(ui_widgets.toolbar_menu))
+                    gtk_widget_destroy(ui_widgets.toolbar_menu);
+    if (tv.popup_taglist && GTK_IS_WIDGET(tv.popup_taglist))
+                    gtk_widget_destroy(tv.popup_taglist);
+    if (tv.popup_openfiles && GTK_IS_WIDGET(tv.popup_openfiles))
+                    gtk_widget_destroy(tv.popup_openfiles);
+    if (msgwindow.popup_status_menu && GTK_IS_WIDGET(msgwindow.popup_status_menu))
+                    gtk_widget_destroy(msgwindow.popup_status_menu);
+    if (msgwindow.popup_msg_menu && GTK_IS_WIDGET(msgwindow.popup_msg_menu))
+                    gtk_widget_destroy(msgwindow.popup_msg_menu);
+    if (msgwindow.popup_compiler_menu && GTK_IS_WIDGET(msgwindow.popup_compiler_menu))
+                    gtk_widget_destroy(msgwindow.popup_compiler_menu);
 
-	g_free(app);
+    g_free(app);
 
-	gtk_main_quit();
+    gtk_main_quit();
 }
 
 
@@ -872,7 +874,7 @@
 // Allocate an N-byte block of memory from the heap. If N is zero, allocate a 1-byte block.
 void *rpl_malloc(size_t n)
 {
-	if (n == 0)
-		n = 1;
-	return malloc(n);
+    if (n == 0)
+        n = 1;
+    return malloc(n);
 }
